diff a/src/hotspot/share/jfr/instrumentation/jfrEventClassTransformer.cpp b/src/hotspot/share/jfr/instrumentation/jfrEventClassTransformer.cpp
--- a/src/hotspot/share/jfr/instrumentation/jfrEventClassTransformer.cpp
+++ b/src/hotspot/share/jfr/instrumentation/jfrEventClassTransformer.cpp
@@ -1470,10 +1470,11 @@
 
 static ClassFileStream* schema_extend_event_subklass_bytes(const InstanceKlass* ik, const ClassFileParser& parser, bool& is_instrumented, TRAPS) {
   assert(JdkJfrEvent::is_a(ik), "invariant");
   assert(!is_instrumented, "invariant");
   DEBUG_ONLY(JfrJavaSupport::check_java_thread_in_vm(THREAD));
+  initialize_symbols();
   if (invalid_preconditions_for_subklass_on_initial_load(ik)) {
     // Remove the tag denoting this as a jdk.jfr.Event subklass. No instrumentation, hence no events can be written.
     // The class is allowed to load as-is, but it is classified as outside of the jfr system.
     JdkJfrEvent::remove(ik);
     return nullptr;
